GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::operation::linemerge::EdgeString Class Reference

A sequence of LineMergeDirectedEdge forming one of the lines that will be output by the line-merging process. More...

`#include <EdgeString.h>`

## Public Member Functions
| EdgeString (const geom::GeometryFactory *newFactory)
void | add (LineMergeDirectedEdge *directedEdge)
geom::LineString * | toLineString ()

## Detailed Description

A sequence of LineMergeDirectedEdge forming one of the lines that will be output by the line-merging process.

## Member Function Documentation

void geos::operation::linemerge::EdgeString::add | ( | LineMergeDirectedEdge * | directedEdge | ) |

Adds a directed edge which is known to form part of this line.

The documentation for this class was generated from the following file:

- EdgeString.h